Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.phonetic.impl
Class DoubleMetaphone.DoubleMetaphoneResult

    java.lang.Object
      com.sun.mdm.index.phonetic.impl.DoubleMetaphone.DoubleMetaphoneResult

Enclosing class:
  DoubleMetaphone

public class DoubleMetaphone.DoubleMetaphoneResult
extends java.lang.Object

Inner class for storing results, since there is the optional alternate encoding.

Constructor Summary
`DoubleMetaphone.DoubleMetaphoneResult(int maxLength)`

Method Summary
`void` | `append(char value)`
`void` | `append(char primary, char alternate)`
`void` | `append(java.lang.String value)`
`void` | `append(java.lang.String primary, java.lang.String alternate)`
`void` | `appendAlternate(char value)`
`void` | `appendAlternate(java.lang.String value)`
`void` | `appendPrimary(char value)`
`void` | `appendPrimary(java.lang.String value)`
`java.lang.String` | `getAlternate()`
`java.lang.String` | `getPrimary()`
`boolean` | `isComplete()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoubleMetaphone.DoubleMetaphoneResult

    public DoubleMetaphone.DoubleMetaphoneResult(int maxLength)

Method Detail

### append

    public void append(char value)

### append

    public void append(char primary,
                       char alternate)

### append

    public void append(java.lang.String value)

### append

    public void append(java.lang.String primary,
                       java.lang.String alternate)

### appendAlternate

    public void appendAlternate(char value)

### appendAlternate

    public void appendAlternate(java.lang.String value)

### appendPrimary

    public void appendPrimary(char value)

### appendPrimary

    public void appendPrimary(java.lang.String value)

### getAlternate

    public java.lang.String getAlternate()

### getPrimary

    public java.lang.String getPrimary()

### isComplete

    public boolean isComplete()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.